var lastscrollvalue;
window.onscroll = function() {
    beforeScroll = window.scrollY;
}

$('#roomNameChangeBtn').click(function() {
    var changeRoomName = $('#roomNameInput').val();
    var trimmedRoomName = $('#roomNameInput').val().trim();
    if (trimmedRoomName.length == 0) {
        alert(getLocalizedString("error_empty_room_name"));
        return;
    }
    if (CHAT_UTIL.isIOS()) {
        webkit.messageHandlers.changeRoomName.postMessage(changeRoomName);
    } else if (CHAT_UTIL.isAndroid()) {
        android.changeRoomName(changeRoomName);
    }
})

/*
$('#messages').scroll(function() {
    console.log('messagescroll');
    if ($(this).scrollTop() === 0) {
        if (!$('#chatLoader').is(':visible')) {
            // 現在、メッセージの個数以前をメッセージを読み込む
            // ローディングアイコンを追加する
            let loader = $('<div id="chatLoader" class="text-center"><div class="spinner-grow spinner-grow-sm" role="status" /></div>')
            $('#messages').prepend(loader)
            loader.remove();
//            socket.emit('getMessages', $(this).children().length, function() {
//                // ローディングアイコンを削除する
//                loader.remove();
//            });
        }
    }
});*/
